### R code from vignette source 'mecdf.rnw'

###################################################
### code chunk number 1: mecdf.rnw:8-12
###################################################
options(continue=" ")
options(SweaveHooks=list(fig=function()
par(mar=c(5.1, 4.1, 1.1, 2.1))))
library (mecdf)


###################################################
### code chunk number 2: mecdf.rnw:56-58
###################################################
#get warmed up
library (mecdf, warn=FALSE)


###################################################
### code chunk number 3: mecdf.rnw:61-65
###################################################
#simulated data
x1 = runif (10)
x2 = runif (10)
x = cbind (x1, x2)


###################################################
### code chunk number 4: mecdf.rnw:68-71
###################################################
#fit the model
m = mecdf (x)
m


###################################################
### code chunk number 5: mecdf.rnw:75-76
###################################################
m (c (0.5, 0.5) )


###################################################
### code chunk number 6: mecdf.rnw:82-83
###################################################
plot (m)


###################################################
### code chunk number 7: mecdf.rnw:85-86
###################################################
plotbcdf (m)


###################################################
### code chunk number 8: mecdf.rnw:88-89
###################################################
plotbcdf (m, regular=FALSE)


###################################################
### code chunk number 9: mecdf.rnw:117-120
###################################################
m = mecdf (x1)
plot (m)
points (x1, m (x1), pch=16, cex=1.5)


###################################################
### code chunk number 10: mecdf.rnw:145-147
###################################################
m = mecdf (x, continuous=TRUE)
plotbcdf (m, regular=FALSE)


###################################################
### code chunk number 11: mecdf.rnw:158-160
###################################################
m = mecdf (x, continuous=TRUE, project=TRUE)
plotbcdf (m, regular=FALSE)


###################################################
### code chunk number 12: mecdf.rnw:188-190
###################################################
#get warmed up...
library (mvtnorm, warn=FALSE)


###################################################
### code chunk number 13: mecdf.rnw:193-202
###################################################
#create a function, to plot the distributions
normal.plot = function (cor=0, res=16, rng=c (-3.5, 3.5) )
{	x1 = x2 = seq (rng [1], rng [2], length=res)
	m = matrix (numeric (), nr=res, nc=res)
	for (i in 1:res) for (j in 1:res)
		m [i, j] = pmvnorm (c (-Inf, -Inf), c (x1 [i], x2 [j]),
			sigma=matrix (c (1, cor, cor, 1), nr=2) )
	plotbcdf (m)
}


###################################################
### code chunk number 14: mecdf.rnw:206-207
###################################################
normal.plot(0)


###################################################
### code chunk number 15: mecdf.rnw:209-210
###################################################
normal.plot (1)


###################################################
### code chunk number 16: mecdf.rnw:212-213
###################################################
normal.plot (-1)


###################################################
### code chunk number 17: mecdf.rnw:219-226
###################################################
#another convenience function
normal.sim = function (n=1, cor=0)
	rmvnorm (n, c (0, 0), matrix (c (1, cor, cor, 1), nr=2) )

m0 = mecdf (normal.sim (120, 0) )
mpos = mecdf (normal.sim (120, 1) )
mneg = mecdf (normal.sim (120, -1) )


###################################################
### code chunk number 18: mecdf.rnw:230-231
###################################################
plotbcdf (m0)


###################################################
### code chunk number 19: mecdf.rnw:233-234
###################################################
plotbcdf (mpos)


###################################################
### code chunk number 20: mecdf.rnw:236-237
###################################################
plotbcdf (mneg)


